# Vlastní čísla

- $A$ - matice A
- $\vec{u}$ - vlastní vektor matice A
- $\lambda$ - vlastní číslo matice A

$A \cdot \vec{u} = \lambda \cdot \vec{u}$
- $\vec{u} \in U \smallsetminus \{\vec{o}\}$ (u nulového vektoru by to platilo vždy)
- úpravou získáme $(\lambda I-A) \cdot \vec{u} = \vec{o}$

## Vlastní čísla

**Získání**:
1. Vypočítáme determinant matice
   $\det{(\lambda I - A)}$ -> výsledkem je **charakteristický polynom**
2. V průběhu si zkusíme vytknout něco s lambdou, např. $(\lambda-5)$
3. Získáme kořeny polynomu (vlastní čísla) a výsledek zapíšeme ve tvaru $(\lambda-5)(\lambda+2)^2$  
	 - $(\lambda_{1} = 5, \lambda_{2,3} = -2)$

Při změně báze se vlastní čísla ani vlastní vektory nemění. Vektory jsou sice stejné, ale v jiné bázi.

### Spektrum matice

- soubor všech vlastních čísel
- značí se $Sp(A)$
	- např.: $Sp(A) = \{3^2; -1\}$

## Vlastní vektory

- bázové prvky jádra lineárního zobrazení s maticí $A - \lambda I$ pro konkrétní vlastní číslo

**Získání**:
1. Dosadíme vlastní číslo za lambdu
2. Vypočítáme GJEM z matice s dosazenou lambdou
3. Pomocí $n-hod(\lambda I-A)$ zjistíme počet dosazovaných LN vektorů
4. Do vlastního vektoru odzadu dosadíme LN vektory (pokud jen 1, dosadíme nenulové číslo)
	- běžně např. $(x, 1, 0)$ a $(x, 0, 1)$
5. Dopočítáme pomocí rovnic v matici zbytek souřadnic
   např.: $h_{1} = [2, -1, 1]^T$

Vlastním vektorem $h_{1} = [2, -1, 1]$ se myslí $t\cdot [2, -1, 1], t\in R$

### Zobecněné vlastní vektory

Pokud nám chybí některé $h_{i}$ (máme vícenásobné vl. číslo ale $n-hod(\lambda I-A)$ vyjde menší), je možné $h_3$ dopočítat opakováním postupu pro $(\lambda I-A) = -h_{2}$, kde $-h2$ bude v pravém sloupci.

### Podobnost matic

Matice $A$ a $B$ jsou podobné, jestli existuje matice $T$ taková, aby platilo $A = T^{-1}BT$.
- pokud je A podobná B, je zároveň B podobná A, platí tedy i:
	- $TA = BT$
	- $TAT^{-1} = B$
- každá matice je podobná sama sobě ($T$ by byla jednotková matice $I$)

Pokud jsou matice A a B podobné, mají stejné charakteristické polynomy i spektra.

#### Diagonalizace

Matice NxN je diagonalizovatelná právě když
- má N lineárně nezávislých vlastních vektorů
- má různá vlastní čísla
- je symetrická nebo jednotková

K diagonalizaci matice A stačí najít množinu n lineárně nezávislých vlastních vektorů, tedy **vlastní čísla mohou být i vícenásobná**. Pro k-násobné vl. číslo musí platit, že $dim(Ker(\mathbb{L})) = k$. 

Na diagonále diagonální matice jsou vlastní čísla ve stejném pořadí, jako vlastní vektory v matici T.

**Zjištění matice T výše u zjištění vlastních vektorů**

- výsledné vektory poté vložím do matice T:

- příklad:

	matice $A = \begin{bmatrix}3 & 0 & 0 \\-4 & 7 & -4\\-8 & 8 & -5\end{bmatrix}$
	
	vlastní čísla: $\lambda_{1,2} = 3, \lambda_{3} = -1$
	
	vlastní vektory: $\vec{u_{1}} = [1, 1, 0]^T,\space\vec{u_{2}} = [-1, 0, 1]^T,\space\vec{u_{3}} = [0, 1, 2]^T$
	
	matice $D = \begin{bmatrix}3 & 0 & 0 \\0 & 3 & 0\\0 & 0 & -1\end{bmatrix} = T^{-1}AT \quad \text{(vl. čísla zapisujeme na diagonálu)}$
	
	matice $T = \begin{bmatrix}1 & -1 & 0 \\1 & 0 & 1\\0 & 1 & 2\end{bmatrix} \quad \text{(vl. vektory zapisujeme do sloupců)}$ 

#### Nediagonalizovatelné matice

Taková matice je potom podobná tzv. blokově diagonální matici, nazývané Jordanův diagonální tvar. Skládá se z jednotlivých bloků, které se nazývají Jordanovy bloky. 

Jordanův blok vypadá takto: $\begin{bmatrix}\lambda & 1 & 0\\0 & \lambda & 1\\0 & 0 & \lambda\end{bmatrix}$
- na diagonále má vlastní čísla, nad ní čísla 1
- každý blok odpovídá nějakému vl. číslu

#### Jordanův kanonický tvar

1. Na diagonálu dáme jednotlivá vlastní čísla
2. Pokud jsme dopočítávali vlastní vektor pro některé vlastní číslo, je potřeba dát 1 nad diagonálu v tomto Jordanově bloku

### Lineární operátor

- lineární zobrazení $\mathbb{L} : U \to U$